@echo off
if "%1&"=="&" goto end2
if "%1"=="n" goto naomi
if "%1"=="ng" goto naomig
if "%1"=="n2" goto naomi2
if "%1"=="t" goto triforce
if "%1"=="nc" goto namcops2
if "%1"=="mech" goto mechs
if "%1"=="m2" goto model2
if "%1"=="m3" goto model3
if "%1"=="rem" goto M32UIrem
if "%1"=="m4" goto m4
if "%2&"=="&" goto nonwork
goto copy

:M32UIrem
echo ------------- REMOVE MAME32 UI icons -------------
echo This will delete all MAME32UI flashy squared icons
echo and replace a few ones with MAMu_'s icons...
echo (roms.ico, clone.ico and warning.ico)
echo --------------------------------------------------
echo Any key to continue, Ctrl-C to cancel
echo --------------------------------------------------
pause
del clone.ico
copy clone2.ico clone.ico
del cpu.ico
del cust1.ico
del cust2.ico
del custom.ico
del foldavail.ico
del folder.ico
del foldmanu.ico
del foldopen.ico
del foldsrc.ico
del foldunav.ico
del foldyear.ico
del golden.ico
del harddisk.ico
del horz.ico
del lightgun.ico
del manufact.ico
del neo-geo.ico
del nonwork.ico
del noroms.ico
del roms.ico
copy roms2.ico roms.ico
del sound.ico
del snd.ico
del source.ico
del stereo.ico
del unknown.ico
copy unknown2.ico unknown.ico
del vert.ico
del warning.ico
copy warning2.ico warning.ico
del working.ico
del year.ico
echo --------------------------------------------------
echo    default non working, missing parent icon and
echo missing clone icon have been replaced with MAMu_'s
echo --------------------------------------------------
pause
goto end

:mechs
copy zzz_mechanical.ico %2.ico
echo zzz_mechanical.ico copied to %2.ico
goto end

:nonwork
copy zzz_mame.ico %1.ico
echo zzz_mame.ico copied to %1.ico
goto end

:m4
copy m4tst.ico %1.ico
echo m4tst.ico copied to %1.ico
goto end

:naomi
if "%2&"=="&" goto end
copy naomi.ico %2.ico
echo naomi.ico copied to %2.ico
goto end

:naomig
if "%2&"=="&" goto end
copy naomigd.ico %2.ico
echo naomigd.ico copied to %2.ico
goto end

:naomi2
if "%2&"=="&" goto end
copy naomi2.ico %2.ico
echo naomi2.ico copied to %2.ico
goto end

:namcops2
if "%2&"=="&" goto end
copy namcops2.ico %2.ico
echo namcops2.ico copied to %2.ico
goto end

:triforce
if "%2&"=="&" goto end
copy triforce.ico %2.ico
echo triforce.ico copied to %2.ico
goto end

:model2
if "%2&"=="&" goto end
copy model2.ico %2.ico
echo model2.ico copied to %2.ico
goto end

:model3
if "%2&"=="&" goto end
copy model3.ico %2.ico
echo model3.ico copied to %2.ico
goto end

:copy
copy %1.ico %2.ico
goto end

:end2
echo ---------------------------------------
echo     MAMu_'s icons copy tool v 0.02
echo ---------------------------------------
@echo off
echo  ! X     Copy non working icon to X.ico
echo  ! n X   Copy naomi       icon to X.ico
echo  ! ng X  Copy naomi gdrom icon to X.ico
echo  ! n2 X  Copy naomi 2     icon to X.ico
echo  ! nc X  Copy namco PS2   icon to X.ico
echo  ! m2 X  Copy model2.ico       to X.ico
echo  ! m3 X  Copy model3.ico       to X.ico
echo  ! m4 X  Copy m4tst.ico        to X.ico
echo  ! t X   Copy triforce    icon to X.ico
echo  ! X Y   Copy X.ico to Y.ico
echo ---------------------------------------
echo  ! rem   Remove all M32UI default icons
echo ---------------------------------------
@echo off
pause
:end
